#
# Please do not update/rebuild/touch this package before asking first
# neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define rel 1

Name:           krdc
Epoch:          3
Version: 24.11.80
Release:        %mkrel %{rel}
Summary:        KDE Remote Desktop Client
Group:          Networking/Remote access
License:        GPLv2 LGPLv2 GFDL
URL:            https://apps.kde.org/krdc/
Source0:        https://download.kde.org/stable/release-service/%{version}/src/%{name}-%{version}.tar.xz

BuildRequires:  kf6-rpm-macros

BuildRequires:  cmake(Qt6Core)
BuildRequires:  cmake(Qt6Gui)

BuildRequires:  cmake(KF6Config)
BuildRequires:  cmake(KF6KCMUtils)
BuildRequires:  cmake(KF6DNSSD)
BuildRequires:  cmake(KF6NotifyConfig)
BuildRequires:  cmake(KF6Notifications)
BuildRequires:  cmake(KF6Bookmarks)
BuildRequires:  cmake(KF6IconThemes)
BuildRequires:  cmake(KF6XmlGui)
BuildRequires:  cmake(KF6Completion)
BuildRequires:  cmake(KF6Wallet)
BuildRequires:  cmake(KF6WidgetsAddons)
BuildRequires:  cmake(KF6WindowSystem)
BuildRequires:  cmake(KF6NotifyConfig)
BuildRequires:  cmake(KF6I18n)
BuildRequires:  cmake(KF6KIO)
BuildRequires:  cmake(KF6StatusNotifierItem)
BuildRequires:  cmake(PlasmaActivities)
BuildRequires:  cmake(KF6DocTools)

BuildRequires:  pkgconfig(libvncserver) >= 0.9.8
BuildRequires:  pkgconfig(libssh)
BuildRequires:  pkgconfig(freerdp2)
BuildRequires:  pkgconfig(freerdp-client2)
BuildRequires:  pkgconfig(winpr2)
BuildRequires:  freerdp
# winpr-makecert
BuildRequires:  freerdp3

Requires:       freerdp
Recommends:     krdc-handbook


%description
KDE Remote Desktop Client is a client application that allows you to view or
even control the desktop session on another machine that is running a compatible
server. VNC and RDP are supported.

%files -f %name.lang
%_kf6_categoriesdir/krdc.categories
%_kf6_bindir/krdc
%_kf6_applicationsdir/*.desktop
%_kf6_datadir/config.kcfg/krdc.kcfg
%_kf6_datadir/mime/packages/org.kde.krdc-mime.xml
%_qt6_plugindir/krdc/
%_kf6_metainfodir/org.kde.krdc.appdata.xml

#------------------------------------------------------------------------------

%define major_krdccore 5
%define libkrdccore %mklibname krdccore %{major_krdccore}

%package -n %libkrdccore
Summary:        Runtime library for KDE Remote Desktop Connection
Group:          System/Libraries

%description -n %libkrdccore
Runtime library for krdc (KDE Remote Desktop Connection).

%files -n %libkrdccore
%_kf6_libdir/libkrdccore.so.%{major_krdccore}
%_kf6_libdir/libkrdccore.so.%{version}

#------------------------------------------------------------------------------

%package -n krdc-handbook
Summary:        KRDC Handbook
Group:          Documentation
BuildArch:      noarch
Requires:       krdc >= %{epoch}:%{version}-%{release}

%description -n krdc-handbook
This package provides KRDC Handbook.

%files -n krdc-handbook
%doc %_kf6_docdir/HTML/*/krdc

#------------------------------------------------------------------------------

%package devel
Summary:        Devel stuff for %{name}
Group:          Development/KDE and Qt
Requires:       %libkrdccore = %{epoch}:%{version}

%description  devel
This package contains header files needed if you wish to build applications
based on %{name}.

%files devel
%_kf6_libdir/*.so
%_includedir/krdc
%_includedir/*.h

#------------------------------------------------------------------------------

%prep
%autosetup -p1

%build
%cmake_kf6
%cmake_build

%install
%cmake_install
%find_lang %name


%changelog
* Sun Nov 17 2024 daviddavid <daviddavid> 3:24.11.80-1.mga10
+ Revision: 2117136
- New version 24.11.80

* Mon Nov 11 2024 daviddavid <daviddavid> 3:24.08.3-1.mga10
+ Revision: 2114109
- New version 24.08.3

* Sun Oct 13 2024 daviddavid <daviddavid> 3:24.08.2-1.mga10
+ Revision: 2105605
- New version 24.08.2

* Mon Sep 16 2024 daviddavid <daviddavid> 3:24.08.1-1.mga10
+ Revision: 2097473
- New version 24.08.1

* Thu Aug 22 2024 daviddavid <daviddavid> 3:24.08.0-1.mga10
+ Revision: 2087665
- New version 24.08.0

* Sat Aug 10 2024 daviddavid <daviddavid> 3:24.07.90-1.mga10
+ Revision: 2085262
- New version 24.07.90

* Sat Jun 15 2024 daviddavid <daviddavid> 3:24.05.1-1.mga10
+ Revision: 2074276
- New version 24.05.1

* Sun Jun 09 2024 neoclust <neoclust> 3:24.05.0-1.mga10
+ Revision: 2071715
- New version 24.05.0

* Thu Apr 18 2024 neoclust <neoclust> 3:24.02.2-1.mga10
+ Revision: 2058675
- New version 24.02.2

* Sat Mar 02 2024 neoclust <neoclust> 3:24.02.0-1.mga10
+ Revision: 2046808
- New version 24.02.0

* Tue Feb 06 2024 neoclust <neoclust> 3:24.01.95-1.mga10
+ Revision: 2037712
- New version 24.01.95

* Tue Jan 23 2024 neoclust <neoclust> 3:24.01.90-1.mga10
+ Revision: 2033837
- New version 24.01.90

* Wed Jan 03 2024 neoclust <neoclust> 3:24.01.85-1.mga10
+ Revision: 2026989
- New version 24.01.85

* Mon Nov 20 2023 daviddavid <daviddavid> 3:24.01.75-2.mga10
+ Revision: 2008301
- enable kactivities support

* Mon Nov 20 2023 neoclust <neoclust> 3:24.01.75-1.mga10
+ Revision: 2008233
- New version 24.01.75

* Sat Sep 23 2023 neoclust <neoclust> 3:23.08.1-1.mga10
+ Revision: 1989657
- New version 23.08.1

* Fri May 26 2023 neoclust <neoclust> 3:23.04.1-1.mga9
+ Revision: 1958234
- New version 23.04.1

* Thu Mar 02 2023 neoclust <neoclust> 3:22.12.3-1.mga9
+ Revision: 1946546
- New version 22.12.3

* Tue Feb 14 2023 neoclust <neoclust> 3:22.12.2-1.mga9
+ Revision: 1941839
- New version 22.12.2

* Thu Dec 15 2022 neoclust <neoclust> 3:22.12.0-1.mga9
+ Revision: 1922960
- New version 22.12.0

* Wed Nov 30 2022 daviddavid <daviddavid> 3:22.11.90-2.mga9
+ Revision: 1912909
- enable KF5Activities support

* Sat Nov 26 2022 neoclust <neoclust> 3:22.11.90-1.mga9
+ Revision: 1911455
- New version 22.11.90

* Thu Nov 10 2022 neoclust <neoclust> 3:22.08.3-1.mga9
+ Revision: 1905306
- New version 22.08.3

* Sun Sep 11 2022 neoclust <neoclust> 3:22.08.1-1.mga9
+ Revision: 1886825
- New version 22.08.1

* Wed Aug 31 2022 neoclust <neoclust> 3:22.08.0-1.mga9
+ Revision: 1882737
- New version 22.08.0

* Sat Jul 30 2022 neoclust <neoclust> 3:22.04.3-1.mga9
+ Revision: 1873121
- New version 22.04.3

* Tue Apr 26 2022 neoclust <neoclust> 3:22.04.0-1.mga9
+ Revision: 1854014
- New version 22.04.0

* Sun Apr 24 2022 neoclust <neoclust> 3:22.03.90-1.mga9
+ Revision: 1853088
- New version 22.03.90

* Wed Apr 06 2022 umeabot <umeabot> 3:21.12.0-2.mga9
+ Revision: 1846163
- Mageia 9 Mass Rebuild

* Tue Dec 28 2021 neoclust <neoclust> 3:21.12.0-1.mga9
+ Revision: 1764680
- New version 21.12.0
- New version 21.11.90

* Sat May 15 2021 neoclust <neoclust> 3:21.04.1-1.mga9
+ Revision: 1724113
- New version 21.04.1

* Fri Apr 23 2021 neoclust <neoclust> 3:21.04.0-1.mga9
+ Revision: 1718398
- New version 21.04.0

* Thu Mar 04 2021 neoclust <neoclust> 3:20.12.3-2.mga9
+ Revision: 1698600
- New version 20.12.3

* Sun Feb 28 2021 neoclust <neoclust> 3:20.12.2-1.mga9
+ Revision: 1694127
- New version 20.12.2

* Fri Dec 11 2020 neoclust <neoclust> 3:20.12.0-1.mga8
+ Revision: 1655654
- New version 20.12.0

* Mon Nov 09 2020 neoclust <neoclust> 3:20.08.3-1.mga8
+ Revision: 1644039
- New version 20.08.3

* Mon Oct 12 2020 neoclust <neoclust> 3:20.08.2-1.mga8
+ Revision: 1633855
- New version 20.08.2

* Wed Sep 16 2020 neoclust <neoclust> 3:20.08.1-1.mga8
+ Revision: 1627098
- New version 20.08.1

* Wed Aug 19 2020 neoclust <neoclust> 3:20.08.0-1.mga8
+ Revision: 1615658
- New version 20.08.0

* Fri Jul 10 2020 neoclust <neoclust> 3:20.04.3-1.mga8
+ Revision: 1604162
- New version 20.04.3

* Fri Jun 19 2020 neoclust <neoclust> 3:20.04.2-1.mga8
+ Revision: 1596900
- New version 20.04.2

* Sun May 17 2020 neoclust <neoclust> 3:20.04.1-1.mga8
+ Revision: 1585201
- New version 20.04.1

* Fri Apr 17 2020 neoclust <neoclust> 3:20.04.0-1.mga8
+ Revision: 1568176
- New version 20.04.0

* Tue Mar 24 2020 neoclust <neoclust> 3:19.12.3-1.mga8
+ Revision: 1559365
- New version 19.12.3

* Tue Feb 18 2020 umeabot <umeabot> 3:19.12.2-2.mga8
+ Revision: 1540281
- Mageia 8 Mass Rebuild

* Thu Feb 13 2020 neoclust <neoclust> 3:19.12.2-1.mga8
+ Revision: 1513335
- New version 19.12.2
+ wally <wally>
- build with new cmake macros

* Sat Dec 14 2019 neoclust <neoclust> 3:19.12.0-1.mga8
+ Revision: 1466993
- New version 19.12.0
- New version 19.11.90

* Tue Nov 05 2019 neoclust <neoclust> 3:19.08.3-1.mga8
+ Revision: 1457941
- New version 19.08.3

* Thu Sep 26 2019 neoclust <neoclust> 3:19.08.1-1.mga8
+ Revision: 1446450
- New version 19.08.1

* Mon Jul 29 2019 neoclust <neoclust> 3:19.04.3-1.mga8
+ Revision: 1425033
- New version 19.04.3

* Mon Apr 15 2019 neoclust <neoclust> 3:19.04.0-1.mga7
+ Revision: 1390488
- New version 19.04.0
- New version 19.04.00

* Thu Apr 11 2019 neoclust <neoclust> 3:19.03.90-1.mga7
+ Revision: 1388737
- New version 19.03.90

* Sun Mar 31 2019 umeabot <umeabot> 3:18.12.3-2.mga7
+ Revision: 1382806
- Qt5 Rebuild

* Wed Mar 13 2019 neoclust <neoclust> 3:18.12.3-1.mga7
+ Revision: 1375671
- New version 18.12.3

* Tue Feb 12 2019 neoclust <neoclust> 3:18.12.2-1.mga7
+ Revision: 1365611
- New version 18.12.2

* Mon Jan 14 2019 neoclust <neoclust> 3:18.12.1-1.mga7
+ Revision: 1356547
- New version 18.12.1

* Mon Dec 10 2018 neoclust <neoclust> 3:18.12.0-1.mga7
+ Revision: 1339553
- New version 18.12.0

* Wed Nov 21 2018 neoclust <neoclust> 3:18.08.3-1.mga7
+ Revision: 1332782
- New version 18.08.3

* Tue Nov 20 2018 daviddavid <daviddavid> 3:18.08.2-2.mga7
+ Revision: 1332202
- enable LibSSH support

* Thu Nov 01 2018 neoclust <neoclust> 3:18.08.2-1.mga7
+ Revision: 1327436
- New version 18.08.2

* Sun Sep 23 2018 umeabot <umeabot> 3:18.04.1-2.mga7
+ Revision: 1298644
- Mageia 7 Mass Rebuild

* Thu Jun 28 2018 neoclust <neoclust> 3:18.04.1-1.mga7
+ Revision: 1240425
- New version 18.04.1

* Fri Feb 16 2018 neoclust <neoclust> 3:17.12.2-1.mga7
+ Revision: 1201932
- New version 17.12.2

* Sat Jan 20 2018 neoclust <neoclust> 3:17.12.1-1.mga7
+ Revision: 1194954
- New version 17.12.1

* Thu Dec 28 2017 neoclust <neoclust> 3:17.12.0-1.mga7
+ Revision: 1186493
- New version 17.12.0

* Thu Aug 24 2017 neoclust <neoclust> 3:17.08.0-1.mga7
+ Revision: 1144736
- New version 17.08.0

* Sat Aug 05 2017 neoclust <neoclust> 3:17.07.90-1.mga7
+ Revision: 1136819
- New version 17.07.90
- Add conflicts to ease upgrade

* Mon Jul 24 2017 neoclust <neoclust> 3:17.04.3-1.mga7
+ Revision: 1130212
- New version 17.04.3

* Wed Mar 08 2017 neoclust <neoclust> 3:16.12.3-1.mga6
+ Revision: 1090116
- New version 16.12.3
- New version 16.12.2
- New version 16.12.1
+ mrambo3501 <mrambo3501>
- rebuild for new libvncserver

* Sat Dec 24 2016 neoclust <neoclust> 3:16.12.0-1.mga6
+ Revision: 1076860
- New version 16.12.0

* Sun Dec 04 2016 neoclust <neoclust> 3:16.11.90-1.mga6
+ Revision: 1072052
- New version 16.11.90

* Tue Nov 15 2016 neoclust <neoclust> 3:16.08.3-1.mga6
+ Revision: 1067370
- New version 16.08.3

* Mon Oct 17 2016 neoclust <neoclust> 3:16.08.2-1.mga6
+ Revision: 1061433
- New version 16.08.2

* Thu Sep 08 2016 neoclust <neoclust> 3:16.08.1-1.mga6
+ Revision: 1050696
- New version 16.08.1

* Sat Aug 20 2016 neoclust <neoclust> 3:16.08.0-1.mga6
+ Revision: 1047340
- New version 16.08.0

* Sat Jul 09 2016 neoclust <neoclust> 3:16.04.3-1.mga6
+ Revision: 1040097
- New version 16.04.3
- New version 16.04.2

* Wed May 11 2016 neoclust <neoclust> 3:16.04.1-1.mga6
+ Revision: 1012587
- New version 16.04.1

* Fri Apr 22 2016 neoclust <neoclust> 3:16.04.0-1.mga6
+ Revision: 1004376
- New version 16.04.0

* Sun Apr 03 2016 neoclust <neoclust> 3:16.03.80-1.mga6
+ Revision: 997959
- New version 16.03.80

* Wed Mar 16 2016 neoclust <neoclust> 3:15.12.3-1.mga6
+ Revision: 991219
- New version 15.12.3

* Tue Mar 08 2016 neoclust <neoclust> 3:15.12.2-1.mga6
+ Revision: 987489
- New version 15.12.2

* Wed Jan 13 2016 neoclust <neoclust> 3:15.12.1-1.mga6
+ Revision: 922657
- New version 15.12.1

* Sat Dec 19 2015 neoclust <neoclust> 3:15.12.0-1.mga6
+ Revision: 912027
- New version 15.12.0

* Mon Nov 23 2015 neoclust <neoclust> 3:15.11.80-1.mga6
+ Revision: 905497
- New version 15.11.80

* Tue Nov 10 2015 neoclust <neoclust> 3:15.08.3-1.mga6
+ Revision: 901049
- New version 15.08.3
- New version 15.08.2

* Fri Sep 18 2015 neoclust <neoclust> 3:15.08.1-1.mga6
+ Revision: 880883
- New version 15.08.1
- New version 15.08.0

* Sat Aug 29 2015 fwang <fwang> 3:15.08.0-2.mga6
+ Revision: 870961
- it searchs xfreerdp binary

* Sat Aug 29 2015 fwang <fwang> 3:15.08.0-1.mga6
+ Revision: 870953
- comment out approver files for now
- telepathy is optional
+ neoclust <neoclust>
- New version 15.08.0

* Sat Feb 07 2015 lmenut <lmenut> 3:4.14.3-2.mga5
+ Revision: 813862
- rebuild for telepathy-qt

* Wed Dec 03 2014 lmenut <lmenut> 3:4.14.3-1.mga5
+ Revision: 800633
- Update to KDE SC 4.14.3

* Sat Oct 18 2014 lmenut <lmenut> 3:4.14.2-1.mga5
+ Revision: 787731
- Update to KDE SC 4.14.2

* Wed Oct 15 2014 umeabot <umeabot> 3:4.14.1-2.mga5
+ Revision: 747623
- Second Mageia 5 Mass Rebuild

* Thu Oct 02 2014 lmenut <lmenut> 3:4.14.1-1.mga5
+ Revision: 734581
- Update to KDE SC 4.14.1

* Tue Sep 16 2014 umeabot <umeabot> 3:4.14.0-2.mga5
+ Revision: 681193
- Mageia 5 Mass Rebuild
+ tv <tv>
- s/uggests:/Recommends:/

* Mon Aug 25 2014 lmenut <lmenut> 3:4.14.0-1.mga5
+ Revision: 667518
- Update to KDE SC 4.14.0
- Use official URL http://download.kde.org for Source

* Fri Aug 15 2014 lmenut <lmenut> 3:4.13.97-1.mga5
+ Revision: 663030
- Update to KDE SC 4.13.97 aka KDE SC 4.14 RC

* Sat Jul 26 2014 lmenut <lmenut> 3:4.13.95-1.mga5
+ Revision: 656708
- Update to KDE SC 4.13.95 aka KDE SC 4.14 Beta3

* Sat Jul 19 2014 lmenut <lmenut> 3:4.13.90-1.mga5
+ Revision: 653893
- Update to KDE SC 4.13.90 aka KDE SC 4.14 Beta2

* Mon Jul 14 2014 lmenut <lmenut> 3:4.13.80-1.mga5
+ Revision: 651999
- Update to KDE SC 4.13.80 aka KDE SC 4.14 Beta1

* Sun Jun 15 2014 lmenut <lmenut> 3:4.13.2-1.mga5
+ Revision: 636767
- Update to KDE SC 4.13.2

* Sat May 24 2014 lmenut <lmenut> 3:4.13.1-1.mga5
+ Revision: 625534
- Update to KDE SC 4.13.1
- add requires freerdp (mga#13292)

* Thu Apr 17 2014 lmenut <lmenut> 3:4.13.0-1.mga5
+ Revision: 615611
- Update to KDE SC 4.13.0

* Sat Mar 29 2014 lmenut <lmenut> 3:4.12.97-1.mga5
+ Revision: 609427
- Update to KDE SC 4.12.97 aka KDE SC 4.13 RC

* Sun Mar 23 2014 lmenut <lmenut> 3:4.12.95-1.mga5
+ Revision: 606868
- Update to KDE SC 4.12.95 aka KDE SC 4.13 Beta3

* Fri Mar 14 2014 neoclust <neoclust> 3:4.12.90-1.mga5
+ Revision: 603375
- New version 4.12.80

* Fri Mar 07 2014 neoclust <neoclust> 3:4.12.80-1.mga5
+ Revision: 600710
- New version 4.12.80
- New version 4.12.3
- New version 4.12.3

* Thu Feb 13 2014 neoclust <neoclust> 3:4.12.2-1.mga5
+ Revision: 590496
- New version 4.12.2

* Tue Feb 11 2014 neoclust <neoclust> 3:4.11.5-1.mga5
+ Revision: 589246
- New version 4.11.5

* Wed Dec 04 2013 lmenut <lmenut> 3:4.11.4-1.mga4
+ Revision: 555027
- Update tarball to KDE SC 4.11.4

* Thu Nov 14 2013 lmenut <lmenut> 3:4.11.3-1.mga4
+ Revision: 551299
- Update tarball to KDE SC 4.11.3

* Mon Oct 21 2013 umeabot <umeabot> 3:4.11.2-2.mga4
+ Revision: 540421
- Mageia 4 Mass Rebuild

* Thu Oct 03 2013 mikala <mikala> 3:4.11.2-1.mga4
+ Revision: 490842
- Update tarball to KDE SC 4.11.2

* Mon Sep 09 2013 mikala <mikala> 3:4.11.1-1.mga4
+ Revision: 476919
- Update tarball to KDE SC 4.11.1

* Sat Aug 10 2013 mikala <mikala> 3:4.11.0-1.mga4
+ Revision: 465316
- Update tarball to KDE SC 4.11.0

* Sat Jul 27 2013 lmenut <lmenut> 3:4.10.97-1.mga4
+ Revision: 458945
- Update tarball to KDE SC 4.10.97 aka KDE SC 4.11 RC2

* Wed Jul 17 2013 lmenut <lmenut> 3:4.10.95-1.mga4
+ Revision: 455331
- Update tarball to KDE SC 4.10.95 aka KDE SC 4.11 RC1

* Sun Jul 07 2013 lmenut <lmenut> 3:4.10.90-1.mga4
+ Revision: 450974
- Add missing conflicts
+ mikala <mikala>
- Update tarball to KDE SC 4.10.90 aka KDE SC 4.11 Beta 2
- imported package krdc

